﻿;Anchoring and mouse enter/leave demo

includepath "..\"
XIncludeFile "wfxframework.pbi"

enableexplicit

structure MY_APP
	test.i
endstructure 

procedure eventcallback(hwid.i, code.i, p1.i, p2.i, *app.MY_APP)
	select code
		case #WFX_NM_MOUSEENTER
			if hwid=0
				debug "container mouse enter " + str(*app\test)
			elseif hwid=1
				debug "button mouse enter"
			endif 

		case #WFX_NM_MOUSELEAVE
			if hwid=0
				debug "container mouse leave " + str(*app\test)
			elseif hwid=1
				debug "button mouse leave"
			endif 
	endselect 
endprocedure 

;- CODE
define.i EventID, state, hd
define.i but, hwpbbut, hwbut, win
define.MY_APP app

app\test = 10
win = OpenWindow(#pb_any, 100, 200, 300, 300, "WFX Anchoring", #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget | #PB_Window_ScreenCentered)
wfx_SetUpPBWindow(win, @app)

ContainerGadget(0, 20, 20, 260, 260, #PB_Container_Raised)
wfx_PutFlag(0, #WFX_TRACKMOUSEEVENTS)
wfx_SetAnchor(0, #WFX_ANCHORALL)
wfx_SetCallback(0, @eventcallback())

ButtonGadget(1, 0, 0, 100, 30, "Mouse Hover", #WS_CLIPSIBLINGS)
wfx_PutFlag(1, #WFX_TRACKMOUSEEVENTS)
wfx_SetAnchor(1, #WFX_ANCHORLEFT | #WFX_ANCHORTOP)
wfx_SetCallback(1, @eventcallback())

ButtonGadget(2,160 - 6, 0, 100, 30, "Button 2", #WS_CLIPSIBLINGS)
wfx_SetAnchor(2, #WFX_ANCHORRIGHT | #WFX_ANCHORTOP)

ButtonGadget(3, 0, 230 - 6, 100, 30, "Button 3", #WS_CLIPSIBLINGS)
wfx_SetAnchor(3, #WFX_ANCHORLEFT | #WFX_ANCHORBOTTOM)

ButtonGadget(4, 160 - 6, 230 - 6, 100, 30, "Button 4", #WS_CLIPSIBLINGS)
wfx_SetAnchor(4, #WFX_ANCHORRIGHT | #WFX_ANCHORBOTTOM)

Repeat
 	EventID = WaitWindowEvent()

Until EventID = #PB_Event_CloseWindow

 
