;dialogs example

includepath "..\"
includefile "wfxframework.pbi"

enableexplicit

structure MY_APP 
	modelessDlg.i
	test.i
endstructure

declare cmdevents(hwnd, code, p1, p2, p3)

procedure modalDlgProc(hwnd.i, msg.i, wparam.i, lparam.i, *app.MY_APP)
	select msg
		case #WM_INITDIALOG
			UseGadgetList(hwnd)
			ButtonGadget(3, 0, 10, 100, 30, "B&utton 3")
			wfx_SetCallBack(3, @cmdevents())
			procedurereturn #true


		case #WM_CLOSE
			wfx__CloseDialog(hwnd, 1)
			procedurereturn #true

		default : procedurereturn #false
	endselect
endprocedure 

procedure modelessDlgProc(hwnd.i, msg.i, wparam.i, lparam.i, *app.MY_APP)
	define.i but
	select msg
		case #WM_INITDIALOG
			UseGadgetList(hwnd)
			but = ButtonGadget(4, 0, 10, 100, 30, "&Button 4")
			wfx_SetCallBack(but, @cmdevents())
			procedurereturn #true

		case #WM_CLOSE
			wfx__CloseDialog(hwnd)
			*app\modelessDlg = 0
			procedurereturn #true

		default : procedurereturn #false
	endselect
endprocedure 

procedure cmdevents(hwid, code, p1, p2, *app.MY_APP)
	select code
		case #WFX_NM_CMDCLICK
			debug str(p1) + " " + str(*app\test)
	endselect
endprocedure 

;- CODE
define.i EventID
define.MY_APP app

app\test = 10

OpenWindow(0, 100, 200, 300, 200, "Dialogs", #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_ScreenCentered)
wfx_SetUpPBWindow(0)

ButtonGadget(1, 0, 10, 100, 30, "Modal Dialog")
ButtonGadget(2, 200, 10, 100, 30, "Modeless Dialog")

Repeat
 	EventID = WaitWindowEvent()
	select eventid
		Case #PB_Event_Gadget
			Select EventGadget()
				case 1
					wfx_DlgOpenModal(0, #DS_CENTER|#WS_CAPTION|#WS_BORDER|#WS_SYSMENU, 10, 10, 200, 100, "Modal dialog", @modalDlgProc(), @app)

				case 2
					if app\modelessDlg=0 ;Show modeless dialog only if is not already shown
						app\modelessDlg = wfx_DlgOpenModeless(0, #DS_CENTER|#WS_CAPTION|#WS_BORDER|#WS_SYSMENU|#WS_VISIBLE, 10, 10, 200, 100, "Modeless dialog", @modelessDlgProc(), @app)
					endif 
			endselect
	endselect 
Until EventID = #PB_Event_CloseWindow

